PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::FilterImpl< PropertyT, Geometry2DCartesian > Struct Template Reference

Filter which provides data in 2D Cartesian space. More...

`#include <plask/filters/filter.hpp>`

Inheritance diagram for plask::FilterImpl< PropertyT, Geometry2DCartesian >:
[legend]
Collaboration diagram for plask::FilterImpl< PropertyT, Geometry2DCartesian >:
[legend]

## Public Member Functions
| FilterImpl (shared_ptr< Geometry2DCartesian > geometry)
ReceiverFor< PropertyT, Geometry3D > & | input (GeometryObjectD< 3 > &outerObj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCartesian > & | input (Geometry2DCartesian &obj, const PathHints *path=nullptr) override
ReceiverFor< PropertyT, Geometry2DCylindrical > & | input (Geometry2DCylindrical &, const PathHints *=nullptr) override
ReceiverFor< PropertyT, Geometry2DCartesian > & | input (GeometryObjectD< 2 > &obj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | input (shared_ptr< GeometryObjectD< 2 > > obj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (GeometryObjectD< 3 > &outerObj, const PathHints *path=nullptr, std::size_t pointsCount=10)
ReceiverFor< PropertyT, Geometry3D > & | setOuter (shared_ptr< GeometryObjectD< 3 > > outerObj, const PathHints *path=nullptr, std::size_t pointsCount=10)
ReceiverFor< PropertyT, Geometry2DCartesian > & | setOuter (GeometryObjectD< 2 > &outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | setOuter (shared_ptr< GeometryObjectD< 2 > > outerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | setOuter (Geometry2DCartesian &outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | setOuter (shared_ptr< Geometry2DCartesian > outerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (GeometryObjectD< 2 > &innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (shared_ptr< GeometryObjectD< 2 > > innerObj, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (Geometry2DCartesian &innerGeom, const PathHints *path=nullptr)
ReceiverFor< PropertyT, Geometry2DCartesian > & | appendInner (shared_ptr< Geometry2DCartesian > innerGeom, const PathHints *path=nullptr)

## Detailed Description

template<typename PropertyT>
struct plask::FilterImpl< PropertyT, Geometry2DCartesian >

Filter which provides data in 2D Cartesian space.

It can have one or more inner (2D) inputs and one outer (2D or 3D) input or default value (which is used in all points where inner inputs don't provide data).

Template Parameters

  PropertyT | property which has type FIELD_PROPERTY

Definition at line 582 of file filter.hpp.

## Constructor & Destructor Documentation

## ◆ FilterImpl()

template<typename PropertyT >

plask::FilterImpl< PropertyT, Geometry2DCartesian >::FilterImpl | ( | shared_ptr< Geometry2DCartesian > | geometry | ) |
| inline

Definition at line 584 of file filter.hpp.

## Member Function Documentation

## ◆ appendInner() [1/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::appendInner | ( | Geometry2DCartesian & | innerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 651 of file filter.hpp.

## ◆ appendInner() [2/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::appendInner | ( | GeometryObjectD< 2 > & | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 641 of file filter.hpp.

## ◆ appendInner() [3/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::appendInner | ( | shared_ptr< Geometry2DCartesian > | innerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 655 of file filter.hpp.

## ◆ appendInner() [4/4]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::appendInner | ( | shared_ptr< GeometryObjectD< 2 > > | innerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 647 of file filter.hpp.

## ◆ input() [1/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::input | ( | Geometry2DCartesian & | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 594 of file filter.hpp.

## ◆ input() [2/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCylindrical > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::input | ( | Geometry2DCylindrical & | ,
|  | const PathHints * | = `nullptr`
| ) |  |
| inline override

Definition at line 598 of file filter.hpp.

## ◆ input() [3/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::input | ( | GeometryObjectD< 2 > & | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 602 of file filter.hpp.

## ◆ input() [4/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::input | ( | GeometryObjectD< 3 > & | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline override

Definition at line 590 of file filter.hpp.

## ◆ input() [5/5]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::input | ( | shared_ptr< GeometryObjectD< 2 > > | obj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 609 of file filter.hpp.

## ◆ setOuter() [1/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | Geometry2DCartesian & | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 633 of file filter.hpp.

## ◆ setOuter() [2/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | GeometryObjectD< 2 > & | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 623 of file filter.hpp.

## ◆ setOuter() [3/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | GeometryObjectD< 3 > & | outerObj,
|  | const PathHints * | path = `nullptr`,
|  | std::size_t | pointsCount = `10`
| ) |  |
| inline

Definition at line 613 of file filter.hpp.

## ◆ setOuter() [4/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | shared_ptr< Geometry2DCartesian > | outerGeom,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 637 of file filter.hpp.

## ◆ setOuter() [5/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry2DCartesian > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | shared_ptr< GeometryObjectD< 2 > > | outerObj,
|  | const PathHints * | path = `nullptr`
| ) |  |
| inline

Definition at line 629 of file filter.hpp.

## ◆ setOuter() [6/6]

template<typename PropertyT >

ReceiverFor< PropertyT, Geometry3D > & plask::FilterImpl< PropertyT, Geometry2DCartesian >::setOuter | ( | shared_ptr< GeometryObjectD< 3 > > | outerObj,
|  | const PathHints * | path = `nullptr`,
|  | std::size_t | pointsCount = `10`
| ) |  |
| inline

Definition at line 619 of file filter.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/filter.hpp